<?php

define('MERCHANT_ID', 'YOUT_MERCHANT_ID');
define('MERCHANT_SECRET_KEY', 'YOUR_MERCHANT_SECRET_KEY');

function datafeed($merchantID, $secretKey, $expiry = 900) {

    $time = filter_input(INPUT_POST, 'time');

    // check timeout
    if ($time && (abs($time - time()) > $expiry)) {
        return FALSE;
    }
    $data = filter_input(INPUT_POST, 'data');
    $hash = filter_input(INPUT_POST, 'hash');

    // check secret hash
    $localHash = secretHash($merchantID, $secretKey, $data, $time);
    if ($localHash != $hash) {
        return FALSE;
    }
    // return decoded datafeed
    return json_decode($data, TRUE);
}

function secretHash($merchantID, $secretKey, $data, $timestamp) {
    return hash('sha256', $secretKey . $timestamp . $merchantID . $data);
}

if (datafeed(MERCHANT_ID, MERCHANT_SECRET_KEY)) {
    exit('PRIZMPAY');   // echo succes code
} else {
    exit('ERROR');  // echo failure code
}